Loading...
Searching...
No Matches
pcl::visualization::PointCloudGeometryHandler< PointT > Class Template Referenceabstract
Module visualization

Base handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandler< PointT >:

## Public Types

using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointT > >

## Public Member Functions

| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudGeometryHandler ()=default
| Destructor.
virtual std::string | getName () const =0
| Abstract getName method.
virtual std::string | getFieldName () const =0
| Abstract getFieldName method.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const =0
| Obtain the actual point geometry for the input dataset in VTK format.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
index_t | field_x_idx_
| The index of the field holding the X data.
index_t | field_y_idx_
| The index of the field holding the Y data.
index_t | field_z_idx_
| The index of the field holding the Z data.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudGeometryHandler< PointT >

Base handler class for PointCloud geometry.

Author
  Radu B. Rusu

Definition at line 62 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandler< PointT >::ConstPtr = shared_ptr<const PointCloudGeometryHandler<PointT> >

Definition at line 70 of file point_cloud_geometry_handlers.h.

## PointCloud

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloud = pcl::PointCloud<PointT>

Definition at line 65 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 67 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudPtr = typename PointCloud::Ptr

Definition at line 66 of file point_cloud_geometry_handlers.h.

## Ptr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandler< PointT >::Ptr = shared_ptr<PointCloudGeometryHandler<PointT> >

Definition at line 69 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandler()

template<typename PointT >

pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudGeometryHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 73 of file point_cloud_geometry_handlers.h.

## ~PointCloudGeometryHandler()

template<typename PointT >

virtual pcl::visualization::PointCloudGeometryHandler< PointT >::~PointCloudGeometryHandler | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandler< PointT >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerCustom< PointT >.

## getGeometry()

template<typename PointT >

virtual void pcl::visualization::PointCloudGeometryHandler< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

pure virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implemented in pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerCustom< PointT >.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandler< PointT >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Returns
  the name of the class/object.

Implemented in pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerCustom< PointT >.

## isCapable()

template<typename PointT >

bool pcl::visualization::PointCloudGeometryHandler< PointT >::isCapable | ( |  | ) | const

inline

Check if this handler is capable of handling the input data or not.

Definition at line 94 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_.

## setInputCloud()

template<typename PointT >

void pcl::visualization::PointCloudGeometryHandler< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 106 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_.

## Member Data Documentation

## capable_

template<typename PointT >

bool pcl::visualization::PointCloudGeometryHandler< PointT >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 118 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandler< PointT >::isCapable(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

## cloud_

template<typename PointT >

PointCloudConstPtr pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_

protected

A pointer to the input dataset.

Definition at line 113 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), and pcl::visualization::PointCloudGeometryHandler< PointT >::setInputCloud().

## field_x_idx_

template<typename PointT >

index_t pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_

protected

The index of the field holding the X data.

Definition at line 121 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

## field_y_idx_

template<typename PointT >

index_t pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_

protected

The index of the field holding the Y data.

Definition at line 124 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

## field_z_idx_

template<typename PointT >

index_t pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_

protected

The index of the field holding the Z data.

Definition at line 127 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

## fields_

template<typename PointT >

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudGeometryHandler< PointT >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 130 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h